#include "BaseSightManagerComponent.h"
#include "Net/UnrealNetwork.h"

class ACharacter;
class UCharacterSightComponent;

void UBaseSightManagerComponent::OnIntroCompleted()
{

}

void UBaseSightManagerComponent::Authority_OnCharacterSightChanged(ACharacter* sightedCharacter, UCharacterSightComponent* sightComponent)
{

}

void UBaseSightManagerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UBaseSightManagerComponent, _survivorLookStatus);
}

UBaseSightManagerComponent::UBaseSightManagerComponent()
{

}
